searchNodes=[{"doc":"Tiny image encoding and decoding. The following formats are supported: JPEG baseline &amp; progressive (12 bpc/arithmetic not supported, same as stock IJG lib) PNG 1/2/4/8/16-bit-per-channel TGA BMP non-1bpp, non-RLE PSD (composited view only, no extra channels, 8/16 bit-per-channel) GIF (always reports as 4-channel) HDR (radiance rgbE format) PIC (Softimage PIC) PNM (PPM and PGM binary only) There are also specific functions for working with GIFs.","ref":"StbImage.html","title":"StbImage","type":"module"},{"doc":"The StbImage struct. It has the following fields: :data - a binary :shape - a tuple with the {height, width, channels} :type - the type unit in the binary (u8/u16/f32) :color_mode - the color mode as :l , :la , :rgb , or :rgba","ref":"StbImage.html#__struct__/0","title":"StbImage.__struct__/0","type":"function"},{"doc":"Decodes image from binary . Options :channels - The number of desired channels. Use 0 for auto-detection. Defaults to 0. :type - The type of the data. Defaults to :u8 . Must be one of :u8 , :u16 , :f32 . Example { :ok , buffer } = File . read ( &quot;/path/to/image&quot; ) img = StbImage . from_binary ( buffer ) { h , w , c } = img . shape img = img . data # If you know the image is a 4-channel image and auto-detection failed img = StbImage . from_file ( &quot;/path/to/image&quot; , channels : 4 ) { h , w , c } = img . shape img = img . data","ref":"StbImage.html#from_binary/2","title":"StbImage.from_binary/2","type":"function"},{"doc":"Decodes image from file at path . Options :channels - The number of desired channels. Use 0 for auto-detection. Defaults to 0. :type - The type of the data. Defaults to :u8 . Must be one of :u8 , :u16 , :f32 . Example img = StbImage . from_file ( &quot;/path/to/image&quot; ) { h , w , c } = img . shape data = img . data # If you know the image is a 4-channel image and auto-detection failed img = StbImage . from_file ( &quot;/path/to/image&quot; , channels : 4 ) { h , w , c } = img . shape img = img . data","ref":"StbImage.html#from_file/2","title":"StbImage.from_file/2","type":"function"},{"doc":"Decodes GIF image from binary . Example { :ok , buffer } = File . read ( &quot;/path/to/image&quot; ) { :ok , frames , delays } = StbImage . gif_from_binary ( buffer ) frame = Enum . at ( frames , 0 ) { h , w , 3 } = frame . shape # GIFs always have channels == :rgb and type == :u8 # delays is a list that has n elements, where n is the number of frames","ref":"StbImage.html#gif_from_binary/1","title":"StbImage.gif_from_binary/1","type":"function"},{"doc":"Decodes GIF image from file at path . Example { :ok , frames , delays } = StbImage . gif_from_file ( &quot;/path/to/image&quot; ) frame = Enum . at ( frames , 0 ) { h , w , 3 } = frame . shape # GIFs always have channels == :rgb and type == :u8 # delays is a list that has n elements, where n is the number of frames","ref":"StbImage.html#gif_from_file/1","title":"StbImage.gif_from_file/1","type":"function"},{"doc":"Encodes image to a binary. The supported formats are :jpg, :png, :bmp, :tga. Example { :ok , binary } = StbImage . to_binary ( :png , img , height , width , channels )","ref":"StbImage.html#to_binary/2","title":"StbImage.to_binary/2","type":"function"},{"doc":"Saves image to the file at path . The supported formats are :jpg, :png, :bmp, :tga. The format is determined from the file extension if possible, you can also pass it explicitly via the :format option. Returns :ok on success and {:error, reason} otherwise. Make sure the directory you intent to write the file to exists, otherwise an error is returned. Options :format - one of the supported image formats","ref":"StbImage.html#to_file/3","title":"StbImage.to_file/3","type":"function"}]